summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSenthil Kumaran <senthil.kumaran@linaro.org>2013-01-31 16:52:55 +0530
committerSenthil Kumaran <senthil.kumaran@linaro.org>2013-01-31 16:52:55 +0530
commitb4a8deed3add591c0371db82c672f63bd1d6db95 (patch)
tree05cbe186f11f8783faeb93c0ff3575f44927941c
parenta846c5215a8dec0398b422f97562eb591c5a03e2 (diff)
Add test definition for testing v8 shell. In android JB we fall back to d8.
-rw-r--r--android/scripts/v8.sh34
-rw-r--r--android/v8.yaml12
2 files changed, 40 insertions, 6 deletions
diff --git a/android/scripts/v8.sh b/android/scripts/v8.sh
new file mode 100644
index 0000000..9c4103a
--- /dev/null
+++ b/android/scripts/v8.sh
@@ -0,0 +1,34 @@
+#!/system/bin/sh
+#
+# v8 shell test.
+#
+# Copyright (C) 2012, Linaro Limited.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+# Author: Senthil Kumaran <senthil.kumaran@linaro.org>
+#
+
+cd /data/benchmark/v8
+if which v8shell 2>/dev/null 1>/dev/null
+then v8shell run.js
+else d8 run.js
+fi
+
+if [ $? -eq 0 ]; then
+ echo "v8shell=pass"
+else
+ echo "v8shell=fail"
+fi
diff --git a/android/v8.yaml b/android/v8.yaml
index 63d6f58..41cc496 100644
--- a/android/v8.yaml
+++ b/android/v8.yaml
@@ -1,15 +1,15 @@
metadata:
name: v8
- version: 1.0
format: "Lava-Test-Shell Test Definition 1.0"
+install:
+ git-repos:
+ - git://git.linaro.org/qa/test-definitions.git
+
run:
steps:
- - 'cd /data/benchmark/v8'
- - 'if which v8shell 2>/dev/null 1>/dev/null'
- - 'then v8shell run.js'
- - 'else d8 run.js'
- - 'fi'
+ - "cd test-definitions/android/scripts"
+ - "./v8.sh"
parse:
pattern: "^(?P<test_case_id>.*?):\\s+(?P<measurement>\\d+)\\s*$"